## consensuscore 1.0.2

=== Makefile ===
#
# Basic makefile. Use this for building the C++ library and the SWIG
# bindings.
#
# Notes:
#  - can compile with clang++ using:
#      % make GXX=clang++
#  - 32-bit build:
#      % make MACHINE=-m32
#  - debug build:
#      % make DEBUG=1
#
include make/Defs.mk

all: lib

lib:
	${MAKE} -f make/Cpp.mk

#
# SWIG targets
#
python: lib
	$(MAKE) -f make/Python.mk

echo-python-build-directory:
	@echo $(PYTHON_BUILD_DIR)

csharp: lib
	$(MAKE) -f make/CSharp.mk

before-xbuild: csharp
	-mkdir -p bin/Debug
	-mkdir -p bin/Release
	-cp $(BUILD_ROOT)/CSharp/libConsensusCore.so bin/Debug/
	-cp $(BUILD_ROOT)/CSharp/libConsensusCore.so bin/Release/

#
# Clean targets
#
clean-python:
	-rm -rf $(PYTHON_BUILD_DIR)
	-rm -rf ConsensusCore.egg-info
	-rm -rf dist

clean-csharp:
	-rm -rf $(CSHARP_BUILD_DIR)
	-rm -rf bin obj

clean-cxx:
	-rm -rf $(BUILD_ROOT)/C++

clean: clean-cxx clean-python clean-csharp
	-rm -rf $(BUILD_ROOT)

#
# Test targets
#
test-python:
	@make -f make/Python.mk test-python

test-csharp:
	@make -f make/CSharp.mk test-csharp

test: lib
	@make -f make/Tests.mk

check: test
tests: test


#
# Lint targets
#

lint:
	-find src -name "*.[ch]pp" | xargs ./tools/cpplint.py --verbose=0 --counting=toplevel

pre-commit-hook:
#       for speed, apply cpplint only to changed files.
	git diff --cached --name-only --diff-filter=ACM | \
         grep -e  '.*.[ch]pp$$' | xargs tools/cpplint.py --verbose=3


#
# Targets used by PBI internal build
#
pip-uninstall: $(shell which pip > /dev/null)
	@pip freeze|grep 'ConsensusCore=='>/dev/null \
      && pip uninstall -y ConsensusCore \
      || true

pip-install: $(shell which pip > /dev/null)
	@pip install --no-index \
          --install-option="--swig=$(SWIG)" \
          --install-option="--boost=$(BOOST)" \
          ./

.PHONY: all lib clean-cxx clean test tests check python clean-python \
	csharp clean-csharp echo-python-build-directory \
	test-python test-csharp pip-uninstall pip-install \
	lint pre-commit-hook

=== debian/changelog ===
consensuscore (1.0.2-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:19 +0000

consensuscore (1.0.2-2build1) artful; urgency=medium

  * Rebuild to add support for python 3.6.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 16:25:16 +0530

consensuscore (1.0.2-2) unstable; urgency=low

  * Fix build with GCC-6 (Closes: #831172)

 -- Afif Elghraoui <afif@debian.org>  Sun, 17 Jul 2016 00:00:34 -0700

consensuscore (1.0.2-1) unstable; urgency=medium

  * Add binary package for C++ headers and static library
    (Closes: #828837)
  * Rename source package and change section
  * Imported Upstream version 1.0.2 (git28dbb19 - 2016-05-06)
  * Bump Standards-Version to 3.9.8
  * Remove invalid architecture entries
  * Clean up d/rules and d/control
  * Update email address and copyright year
  * Make Python package descriptions consistent

 -- Afif Elghraoui <afif@debian.org>  Sun, 03 Jul 2016 03:12:49 -0700

python-pbconsensuscore (1.0.1-1) unstable; urgency=low

  * Run build-time tests
  * Limit package to x86 architectures
  * Build for all supported python versions
  * Imported Upstream version 1.0.1

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 24 Nov 2015 22:45:58 -0800

python-pbconsensuscore (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #794450)
  * Build Python3 package

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 03 Sep 2015 00:12:46 -0700

=== debian/control ===
Source: consensuscore
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-python,
	dh-exec,
	libboost-dev,
	swig,
# Python2
	python-setuptools,
	python-all-dev,
	python-numpy,
# Python3
	python3-setuptools,
	python3-all-dev,
	python3-numpy,
Standards-Version: 3.9.8
Homepage: https://github.com/PacificBiosciences/ConsensusCore
Vcs-Git: https://anonscm.debian.org/git/debian-med/consensuscore.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/consensuscore.git

Package: libconsensuscore-dev
Section: libdevel
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: algorithms for PacBio multiple sequence consensus -- development files
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the header files and static library.

Package: python-pbconsensuscore
Section: python
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python:Depends},
Description: algorithms for PacBio multiple sequence consensus -- Python 2
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python2 bindings.

Package: python3-pbconsensuscore
Section: python
Architecture: any-amd64 any-i386
Depends:
	${shlibs:Depends},
	${misc:Depends},
	${python3:Depends},
Description: algorithms for PacBio multiple sequence consensus -- Python 3
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=pbconsensuscore

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	$(MAKE) test
# We can't run these additional tests because they only pass
# with the python2 version of the package; by this point
# the python3 version has taken over.
#	$(MAKE) test-python

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/python-pbconsensuscore-$1.tar.gz/" \
         https://github.com/PacificBiosciences/ConsensusCore/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## consensuscore 1.1.1%2Bdfsg

=== debian/changelog ===
consensuscore (1.1.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Re-enable Python test after py2 -> py3 transition
  * Clean better
  * Fix dh_numpy invocation

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 13:40:07 +0200

consensuscore (1.1.1+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to outdated NumPy SWIG bindings (Closes: #1091809)

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Feb 2025 10:30:26 +0100

consensuscore (1.1.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/control: resume building on i386.
  * d/rules: add openmp-simd and -O3 flags.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Mar 2024 17:07:25 +0100

consensuscore (1.1.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/patches/portable_simd: remove baseline violation and enable
    compilation on other 64-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Mar 2024 19:42:10 +0100

consensuscore (1.1.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Don't install the Meson build file into /usr/include.
  * d/clean: remove some leftovers
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Mar 2024 13:19:35 +0100

consensuscore (1.1.1+dfsg-4) unstable; urgency=medium

  * d/watch: Repository is deprecated upstream
  * Standards-Version: 4.6.1 (routine-update)
  * Fix sequence of setuptools - distutils calls
    Closes: #1024038

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2022 14:14:59 +0100

consensuscore (1.1.1+dfsg-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set module name for autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 09:59:08 +0200

consensuscore (1.1.1+dfsg-2) unstable; urgency=medium

  * Use 2to3 to convert from Python2 and Python3
    Closes: #936328
  * Add myself to Uploaders
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2019 14:01:32 +0100

consensuscore (1.1.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Exclude precompiled binaries
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 17:43:54 +0200

consensuscore (1.0.2-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Testsuite: autopkgtest-pkg-python
  * d/rules:
     - hardening=+all
     - respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 17:26:27 +0200

## consensuscore 1.1.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 all: lib
 
 lib:
-	${MAKE} -f make/Cpp.mk
+	${MAKE} -f make/Cpp.mk -j8
 
 #
 # SWIG targets

=== meson_options.txt ===
option('sse3',  type : 'boolean', value : true, description : 'Enable SSE3 codepaths')
option('tests', type : 'boolean', value : true, description : 'Enable dependencies required for testing')

# python:
option('swig',  type : 'boolean', value : true, description : 'Build Quiver\'s SWIG interfacing code')

=== debian/changelog ===
consensuscore (1.1.1+dfsg-8build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 13:57:45 +0000

=== debian/control ===
Source: consensuscore
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit [!i386],
               architecture-is-little-endian,
               dh-sequence-python3,
               dh-exec,
               libboost-dev,
               swig,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-numpy-dev,
               libsimde-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/consensuscore
Vcs-Git: https://salsa.debian.org/med-team/consensuscore.git
Homepage: https://github.com/PacificBiosciences/ConsensusCore
Rules-Requires-Root: no

Package: libconsensuscore-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: algorithms for PacBio multiple sequence consensus -- development files
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the header files and static library.

Package: python3-pbconsensuscore
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: algorithms for PacBio multiple sequence consensus -- Python 3
 ConsensusCore is a library of C++ algorithms for Pacific Biosciences
 multiple sequence consensus that powers Quiver (Python) and ConsensusTools
 (.NET). This library primarily exists as the backend for GenomicConsensus,
 which implements Quiver.
 .
 This package is part of the SMRT Analysis suite.
 It provides the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
#include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export PYBUILD_NAME=pbconsensuscore

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-fopenmp-simd -DSIMDE_ENABLE_OPENMP -Wno-psabi -O3
export DEB_CXXFLAGS_MAINT_APPEND=-fopenmp-simd -DSIMDE_ENABLE_OPENMP -Wno-psabi -O3

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
	$(MAKE) test-python
endif

execute_before_dh_auto_build:
	test -f src/SWIG/numpy.i.orig || mv -v src/SWIG/numpy.i src/SWIG/numpy.i.orig
	cp $(shell python3 -c 'import numpy;print(numpy.get_include())')/numpy/numpy.i src/SWIG/numpy.i

execute_before_dh_auto_clean:
	! test -f src/SWIG/numpy.i.orig || mv -v src/SWIG/numpy.i.orig src/SWIG/numpy.i

execute_after_dh_python3:
	dh_numpy3

execute_after_dh_install:
	find debian -name meson.build -delete

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Release/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# Repository is deprecated upstream
#opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#         https://github.com/PacificBiosciences/ConsensusCore/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
